# Class Literal

java.lang.Object
org.snpsift.lang.expression.Expression
org.snpsift.lang.expression.Literal

public class Literal extends Expression

## Field Summary

### Fields inherited from class Expression

`debug, negated, operator`

## Constructor Summary

Constructors
Constructor
Description
`Literal(long l)`
`Literal(Boolean b)`
`Literal(Double d)`
`Literal(String str)`

## Method Summary

Modifier and Type
Method
Description
`Value`
`eval(org.snpeff.vcf.VcfEntry vcfEntry)`
Evaluate expression using VcfEntry
`Value`
`eval(org.snpeff.vcf.VcfGenotype vcfGenotype)`
Evaluate expression using genotype
`String`
`toString()`

### Methods inherited from class Expression

`setNegated`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Literal

public Literal(Boolean b)

### Literal

public Literal(Double d)

### Literal

public Literal(long l)

### Literal

public Literal(String str)

## Method Details

### eval

public Value eval(org.snpeff.vcf.VcfEntry vcfEntry)
Description copied from class: `Expression`
Evaluate expression using VcfEntry

Specified by:
  `eval` in class `Expression`

### eval

public Value eval(org.snpeff.vcf.VcfGenotype vcfGenotype)
Description copied from class: `Expression`
Evaluate expression using genotype

Specified by:
  `eval` in class `Expression`

### toString

public String toString()

Overrides:
  `toString` in class `Object`